geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Russell E Glaue (JIRA)" <j...@apache.org>
Subject [jira] [Created] (GERONIMO-6004) Geronimo 3.0 trunk does not build unless you manually download and install geronimo-jaxws_2.2_spec-1.0.jar into your local maven repo
Date Fri, 10 Jun 2011 14:58:58 GMT
Geronimo 3.0 trunk does not build unless you manually download and install geronimo-jaxws_2.2_spec-1.0.jar
into your local maven repo
-------------------------------------------------------------------------------------------------------------------------------------

                 Key: GERONIMO-6004
                 URL: https://issues.apache.org/jira/browse/GERONIMO-6004
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: Plugins
    Affects Versions: 3.0
         Environment: Linux x86, Red Hat Enterprise Linux Server release 5.4 (Tikanga)
            Reporter: Russell E Glaue
            Priority: Minor


When building geronimo server/trunk, a.k.a. Geronimo 3.0, with maven 2.2.1 or 3.0.3 for the
first time, a user will get a WS related error.
-
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile
(default-compile) on project geronimo-j2ee-builder: Compilation failure: Compilation failure:
[ERROR] /data/geronimo/asf-geronimo-server-trunk/plugins/j2ee/geronimo-j2ee-builder/src/main/java/org/apache/geronimo/j2ee/deployment/annotation/HandlerChainAnnotationHelper.java:[178,39]
[deprecation] name() in javax.jws.HandlerChain has been deprecated
[ERROR] 
[ERROR] /data/geronimo/asf-geronimo-server-trunk/plugins/j2ee/geronimo-j2ee-builder/src/main/java/org/apache/geronimo/j2ee/deployment/annotation/WebServiceRefAnnotationHelper.java:[295,61]
cannot find symbol
[ERROR] symbol  : method lookup()
[ERROR] location: @interface javax.xml.ws.WebServiceRef
[ERROR] 
[ERROR] /data/geronimo/asf-geronimo-server-trunk/plugins/j2ee/geronimo-j2ee-builder/src/main/java/org/apache/geronimo/j2ee/deployment/annotation/WebServiceRefAnnotationHelper.java:[296,47]
cannot find symbol
[ERROR] symbol  : method lookup()
[ERROR] location: @interface javax.xml.ws.WebServiceRef
[ERROR] 
[ERROR] /data/geronimo/asf-geronimo-server-trunk/plugins/j2ee/geronimo-j2ee-builder/src/main/java/org/apache/geronimo/j2ee/deployment/annotation/WebServiceRefAnnotationHelper.java:[403,104]
cannot find symbol
[ERROR] symbol  : method responses()
[ERROR] location: @interface javax.xml.ws.soap.Addressing
[ERROR] 
[ERROR] /data/geronimo/asf-geronimo-server-trunk/plugins/j2ee/geronimo-j2ee-builder/src/main/java/org/apache/geronimo/j2ee/deployment/annotation/WebServiceRefAnnotationHelper.java:[413,108]
cannot find symbol
[ERROR] symbol  : method responses()
[ERROR] location: @interface javax.xml.ws.soap.Addressing
-

If the user manually downloads and installs the geronimo-jaxws_2.2_spec-1.0 artifact, then
the build succeeds.
-
mvn install:install-file -DgroupId=org.apache.geronimo.specs
-DartifactId=geronimo-jaxws_2.2_spec -Dversion=1.0 -Dpackaging=jar
-Dfile=geronimo-jaxws_2.2_spec-1.0.jar
-


>From what I could discover, all of Geronimo 3.0 (trunk) depends on geronimo-jaxws_2.2_spec-1.1-SNAPSHOT
except for the uddi (uddi-war-repackage) plugin. The 1.1-SNAPSHOT dependency is downloaded
and installed correctly, but the 1.0 artifact is not - though I could tell through observation
of some alternate maven processes the build is specifically looking for the 1.0 artifact.

The resolution is to either fix the maven dependency so that the geronimo-jaxws_2.2_spec-1.0
artifact is downloaded and installed automatically, or update the uddi plugin to support the
geronimo-jaxws_2.2_spec-1.1-SNAPSHOT artifact.
-
[ger@linux7 asf-geronimo-server-trunk]# egrep -R geronimo-jaxws_2.2_spec * | grep -v ".svn"
| grep -i "1.0" | grep DEPENDENCIES
plugins/uddi/uddi-war-repackage/target/classes/WEB-INF/classes/META-INF/DEPENDENCIES:  - Apache
Geronimo JAX-WS 2.2 API (http://geronimo.apache.org/maven/specs/geronimo-jaxws_2.2_spec/1.0)
org.apache.geronimo.specs:geronimo-jaxws_2.2_spec:bundle:1.0
-
I assume it would be easier to setup the dependency to include the geronimo-jaxws_2.2_spec-1.0
artifact. And possibly there could be a good reason why the uddi plugin is the only part of
G3.0 not updated to support the 1.1-SNAPSHOT (though unknown to me at this time).

It should also be noted, though not significant, that the LICENSE files of most all (if not
all) of the components of Geronimo reference the geronimo-jaxws_2.2_spec-1.0 artifact.


The users who attempt to build G3.0 from trunk for the first time are going to experience
this issue which causes the build to fail. However, I was able to successfully build G3.0
from trunk when doing the following three steps:
1. Follow the documentation for building: https://cwiki.apache.org/GMOxDEV/building-apache-geronimo.html
2. Set MAVEN_OPTS to the following: -Xmx968m -XX:MaxPermSize=700m -XX:ReservedCodeCacheSize=64m
3. Manually install the geronimo-jaxws_2.2_spec-1.0 artifact as I described above


-RG


--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message